### Method

# EBackend FileCache replace_object

#### Declaration [src]

    gboolean
    e_file_cache_replace_object (
      EFileCache* cache,
      const gchar* key,
      const gchar* new_value
    )

#### Description [src]

Replaces the object corresponding to `key` with `new_value`. If no such object exists in `cache`, the function returns `FALSE`.

#### Parameters

`key`

  Type: `const gchar*`

  The hash key of the object to replace.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`new_value`

  Type: `const gchar*`

  The new object for `key`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` if `key` was not found.